#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "ball.h"
#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
    class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
    Q_OBJECT

  public:
    MainWindow(QWidget* parent = nullptr);
    ~MainWindow();

  protected:
    virtual void paintEvent(QPaintEvent*) override;

  private:
    Ui::MainWindow* ui;
    QList<std::shared_ptr<Ball>> balls;
};
#endif // MAINWINDOW_H
